varying lowp vec2 v_texCoord;
varying lowp vec4 v_color;

void main() 
{
	vec2 center = vec2(0.5, 0.5);
	mediump float finalAlpha = 0.75;

	mediump float d = distance(v_texCoord, center);
	mediump float alpha = finalAlpha;
	
	if(d < 0.5)
	{
		alpha = finalAlpha*(2.0*2.0)*(d*d);
	}
	
	gl_FragColor = vec4(0.0, 0.0, 0.0, v_color.a * alpha);
}
