varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;
uniform lowp vec4 u_materialAmbient;
uniform lowp vec4 u_materialEmissive;

uniform sampler2D u_texture;

void main() {
	vec4 texel = texture2D(u_texture, v_texCoord);
	gl_FragColor = v_color * (texel * (1 - texel) + texel * texel.a) * (u_materialAmbient * 2);
}

