varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;
varying lowp vec2 v_texCoordMask;

uniform sampler2D u_texture;
uniform sampler2D u_texture1;

void main() {
	vec4 mainTex = texture2D(u_texture, v_texCoord);
	float maskTex = texture2D(u_texture1, v_texCoordMask).r;
	
	gl_FragColor = v_color * (maskTex * mainTex);
}
