attribute highp vec4 a_position;
attribute highp vec4 a_normal;

attribute lowp vec4 a_color;
attribute mediump vec2 a_texCoord;

uniform highp mat4 u_modelViewProjectionMatrix;

uniform lowp vec4 u_materialAmbient;

uniform float u_time;

varying lowp vec4 v_color;

varying mediump vec2 v_texCoord;

void main() {

	gl_Position = ( u_modelViewProjectionMatrix * ( a_position * vec4( vec3( 0.5 ), 1.0 ) ) ) + a_normal * 4;

	//gl_Position = u_modelViewProjectionMatrix * ( a_position * vec4( vec3( 0.5 ), 1.0 ) );

	v_color = a_color * vec4( u_materialAmbient.a, u_materialAmbient.a, u_materialAmbient.a, 1.0 );

	v_texCoord = vec2( a_texCoord.x, a_texCoord.y + ( u_time * 3.0) );

	//v_texCoord = a_texCoord;
}